server:
  port: 8087
# 机器人配置
telegram:
  bot:

    #小易
    #    token: "8057879283:AAF5sta5RKgI_HvFqw86-mraHg7fD6p0UQ4"
    #百事
    token: "7948317344:AAFGfQyQIJrZfkCyaGbCcriFGUku4tOEskc"
# 配置数据源信息
spring:
  datasource:
    jebot:
      # 数据源的相关配置
      type: com.zaxxer.hikari.HikariDataSource          # 数据源类型：HikariCP
      driver-class-name: com.mysql.cj.jdbc.Driver         # mysql驱动

      #小易
#      jdbc-url: jdbc:mysql://rm-3nsku90lhvto0h705.mysql.rds.aliyuncs.com/jebot?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true
#      username: bayue
#      password: bvuzCeQMDVb^sy6W
      #百事
      jdbc-url: jdbc:mysql://rm-3nse1a607497kcxcl.mysql.rds.aliyuncs.com/jebot?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true
      username: xiaopengxixijishu
      password: Ltadmin123

      hikari:
        connection-timeout: 30000        # 等待连接池分配连接的最大时长（毫秒），超过这个时长还没可用的连接则发生SQLException， 默认:30秒
        minimum-idle: 5                  # 最小连接数
        maximum-pool-size: 20            # 最大连接数
        auto-commit: true                # 事务自动提交
        idle-timeout: 600000             # 连接超时的最大时长（毫秒），超时则被释放（retired），默认:10分钟
        pool-name: DateSourceHikariCP     # 连接池名字
        max-lifetime: 1800000             # 连接的生命时长（毫秒），超时而且没被使用则被释放（retired），默认:30分钟 1800000ms
        connection-test-query: SELECT 1  # 连接测试语句
    xxpay:
      # 数据源的相关配置
      type: com.zaxxer.hikari.HikariDataSource          # 数据源类型：HikariCP
      driver-class-name: com.mysql.cj.jdbc.Driver         # mysql驱动

      #小易
#      jdbc-url: jdbc:mysql://rm-3nsku90lhvto0h705.mysql.rds.aliyuncs.com/xiaoyixxpay?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true
#      username: bayue
#      password: bvuzCeQMDVb^sy6W
      #百事2
      jdbc-url: jdbc:mysql://rm-3nse1a607497kcxcl.mysql.rds.aliyuncs.com/sifang2?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true
      username: xiaopengxixijishu
      password: Ltadmin123


      hikari:
        connection-timeout: 30000        # 等待连接池分配连接的最大时长（毫秒），超过这个时长还没可用的连接则发生SQLException， 默认:30秒
        minimum-idle: 5                  # 最小连接数
        maximum-pool-size: 20            # 最大连接数
        auto-commit: true                # 事务自动提交
        idle-timeout: 600000             # 连接超时的最大时长（毫秒），超时则被释放（retired），默认:10分钟
        pool-name: DateSourceHikariCP     # 连接池名字
        max-lifetime: 1800000             # 连接的生命时长（毫秒），超时而且没被使用则被释放（retired），默认:30分钟 1800000ms
        connection-test-query: SELECT 1  # 连接测试语句
  jpa:
    show-sql: true
    properties:
      hibernate:
        format_sql: true
        use_sql_comments: true
        dialect: org.hibernate.dialect.MySQL8Dialect
        # 仅对机器人数据库有效
        hbm2ddl:
          auto: update
logging:
  file:
    path: logs
  level:
    root: info
    org:
      springframework:
        web:
          servlet:
            mvc:
              method: info
      hibernate:
        SQL: debug
        type: trace
      aop: info
      jdbc: debug
      jpa: debug